/*
 * MusicManager.h
 *
 *  Created on: Apr 9, 2020
 *      Author: ayoungblood
 */

#ifndef SRC_MUSICMANAGER_H_
#define SRC_MUSICMANAGER_H_

#include "../game/Game.hpp"
#include <SDL2/SDL_mixer.h>

class MusicManager
{
	public:
		static Mix_Music* LoadMusic(const char* path);
		static void Play(Mix_Music* music);
		static void Pause(Mix_Music* music);
		static void Stop(Mix_Music* music);
		static Mix_Chunk* LoadSound(const char* path);
};


#endif /* SRC_MUSICMANAGER_H_ */
